using ProjectBase.Data.BaseDAL;
using System;
using ProjectBase.Util;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 权限管理中的用户管理
    /// </summary>
    [Serializable]
    public class MoAuthoryUser:BaseEntity
    {
        public MoAuthoryUser()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }
        #region Field Members 

        private string m_LoginAccount = ""; // 登录账号
        private string m_LoginPasswd = ""; // 登录密码           
        private string m_UserName = ""; // 用户名    
        private string m_UserMobile = ""; // 用户手机号
        private string m_UserEmail = ""; // 用户邮箱
        private DateTime m_UserTime = DateTime.Now; // 创建用户的时间
        private string m_GroupId = ""; // 所属组
        private int m_UserStatus = 0; // 用户状态
        private int m_UserSex = 0; // 性别
        private string m_CardId = ""; // 员工号

        #endregion 

        #region Property Members
        /// <summary>
        /// 登录账号
        /// </summary>
        public virtual string LoginAccount
        {
            get
            {
                return this.m_LoginAccount;
            }
            set
            {
                this.m_LoginAccount = value;
            }
        }

        /// <summary>
        /// 登录密码
        /// </summary>
        public virtual string LoginPasswd  
        {
            get
            {
                return this.m_LoginPasswd;
            }
            set
            {
                this.m_LoginPasswd = value;
            }
        }

        /// <summary>
        /// 用户名
        /// </summary>
        public virtual string UserName 
        {
            get
            {
                return this.m_UserName;
            }
            set
            {
                this.m_UserName = value;
            }
        }

        /// <summary>
        /// 用户手机号
        /// </summary>
        public virtual string UserMobile 
        {
            get
            {
                return this.m_UserMobile;
            }
            set
            {
                this.m_UserMobile = value;
            }
        }

        /// <summary>
        /// 用户邮箱
        /// </summary>
        public virtual string UserEmail
        {
            get
            {
                return this.m_UserEmail;
            }
            set
            {
                this.m_UserEmail = value;
            }
        }

        /// <summary>
        /// 用户邮箱
        /// </summary>
        public virtual DateTime UserTime 
        {
            get
            {
                return this.m_UserTime;
            }
            set
            {
                this.m_UserTime = value;
            }
        }

        /// <summary>
        /// 用户组
        /// </summary>
        public virtual string GroupId
        { 
            get
            {
                return this.m_GroupId;
            }
            set
            {
                this.m_GroupId = value;
            }
        }


        /// <summary>
        /// 用户状态
        /// </summary> 
        public virtual int UserStatus
        {
            get
            {
                return this.m_UserStatus;
            }
            set
            {
                this.m_UserStatus = value;
            }
        }

        /// <summary>
        /// 用户性别
        /// </summary> 
        public virtual int UserSex
        {
            get
            {
                return this.m_UserSex;
            }
            set
            {
                this.m_UserSex = value;
            }
        }

        /// <summary>
        /// 员工号
        /// </summary> 
        public virtual string CardId 
        {
            get
            {
                return this.m_CardId;
            }
            set
            {
                this.m_CardId = value;
            }
        }

        #endregion
    }
}
